﻿using Microsoft.Xna.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjektStatki
{
    public abstract class Cannon
    {
        protected Character owner; // Who is holding cannon
        protected int damage;      // Damege in hp per hit
        protected int range;       // Range in pixels
        protected int fireRate;    // frames beetwen shots
        public int cooldown;       // fireRate cooldown

        public abstract void Shoot(Vector2 direction);

        // TODO: Maybe decorator ???
        //protected int price;
    }
}
