﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjektStatki
{
    public class UIObject
    {
        protected Texture2D bitmap;
        private int x;
        public int X { get => x; }
        private int y;
        public int Y { get => y; }
        public bool isActive;

        public UIObject(int x, int y, Texture2D bitmap)
        {
            this.x = x;
            this.y = y;
            this.bitmap = bitmap;
            this.isActive = true;
        }

        public void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Begin();
            spriteBatch.Draw(this.bitmap, new Vector2(this.x, this.y));
            spriteBatch.End();
        }

        public void Update()
        {

        }
    }
}
